/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.api.cloud.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 登录参数
 *
 * @author xuyuxiang
 * @date 2022/7/7 16:46
 **/
@Getter
@Setter
public class TruckBookFlowParam {

    /** 上报类型:1、新增；2、修改；3、删除 */
    @ApiModelProperty(value = "上报类型", position = 1)
    private Integer pushFlag;

    /** 上报进程:已入场/已至扦样区/完成扦样/完成一次过磅/完成库房装卸货/完成二次过磅/已出场 */
    @ApiModelProperty(value = "上报类型", position = 1)
    private String bizFlowName;

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码", position = 2)
    private String depotId;

    /** 车辆预约ID */
    @ApiModelProperty(value = "车辆预约ID", position = 3)
    private String truckBookId;

    /** ******************************************  门禁记录补充    ****************************************** */

    /** 车牌号码 */
    @ApiModelProperty(value = "车牌号码", position = 3)
    private String licensePlate;

    /** 车牌颜色 */
    @ApiModelProperty(value = "车牌颜色", position = 4)
    private String licensePlateColor;

    /** 进厂时间 */
    @ApiModelProperty(value = "进厂时间", position = 5)
    private String inTime;

    /** 出厂时间 */
    @ApiModelProperty(value = "出厂时间", position = 6)
    private String outTime;

    /** 入厂车牌图片 */
    @ApiModelProperty(value = "入厂车牌图片", position = 7)
    private String licensePlateInPicture;

    /** 入厂车图片 */
    @ApiModelProperty(value = "入厂车图片", position = 8)
    private String carInPicture;

    /** 出厂车牌图片 */
    @ApiModelProperty(value = "出厂车牌图片", position = 9)
    private String licensePlateOutPicture;

    /** 出厂车图片 */
    @ApiModelProperty(value = "出厂车图片", position = 10)
    private String carOutPicture;

    /** 是否入厂 */
    @ApiModelProperty(value = "是否入厂", position = 11)
    private String enterFactory;

    /** 是否出厂 */
    @ApiModelProperty(value = "是否出厂", position = 12)
    private String outFactory;

    /** 进厂抓拍图片 */
    @ApiModelProperty(value = "进厂抓拍图片", position = 13)
    private String captureInPicture;

    /** 出厂抓拍图片 */
    @ApiModelProperty(value = "出厂抓拍图片", position = 14)
    private String captureOutPicture;

    /** 车辆类型 */
    @ApiModelProperty(value = "车辆类型", position = 15)
    private String vehicleType;

    /** 停留时长 */
    @ApiModelProperty(value = "停留时长", position = 16)
    private String durationStay;

    /** 车进厂车尾相机抓拍 */
    @ApiModelProperty(value = "车进厂车尾相机抓拍", position = 17)
    private String captureInTailPicture;

    /** 车进厂车仓相机抓拍 */
    @ApiModelProperty(value = "车进厂车仓相机抓拍", position = 18)
    private String captureInWarePicture;

    /** 车进厂车身相机抓拍 */
    @ApiModelProperty(value = "车进厂车身相机抓拍", position = 19)
    private String captureInBodyPicture;

    /** 车进厂磅房相机抓拍 */
    @ApiModelProperty(value = "车进厂磅房相机抓拍", position = 20)
    private String captureInPoundRoomPicture;

    /** 车出厂车尾相机抓拍 */
    @ApiModelProperty(value = "车出厂车尾相机抓拍", position = 21)
    private String captureOutTailPicture;

    /** 车出厂车仓相机抓拍 */
    @ApiModelProperty(value = "车出厂车仓相机抓拍", position = 22)
    private String captureOutWarePicture;

    /** 车出厂车身相机抓拍 */
    @ApiModelProperty(value = "车出厂车身相机抓拍", position = 23)
    private String captureOutBodyPicture;

    /** 车出厂磅房相机抓拍 */
    @ApiModelProperty(value = "车出厂磅房相机抓拍", position = 24)
    private String captureOutPoundRoomPicture;

    /** 绑定状态 */
    @ApiModelProperty(value = "绑定状态", position = 25)
    private String bindStatus;

    /** 订单平台本地端自动生成的预约ID */
    @ApiModelProperty(value = "订单平台本地端自动生成的预约ID", position = 26)
    private String appointmentRegisterId;

    /** ******************************************  扦样补充    ****************************************** */

    /** 车辆图片进来一 */
    @ApiModelProperty(value = "车辆图片进来一", position = 10)
    private String truckPicInOne;

    /** 车辆图片进来二 */
    @ApiModelProperty(value = "车辆图片进来二", position = 11)
    private String truckPicInTwo;

    /** 车辆图片离开一 */
    @ApiModelProperty(value = "车辆图片离开一", position = 12)
    private String truckPicOutOne;

    /** 车辆图片离开二 */
    @ApiModelProperty(value = "车辆图片离开二", position = 13)
    private String truckPicOutTwo;

    /** 车辆进来时间 */
    @ApiModelProperty(value = "车辆进来时间", position = 14)
    private String truckInTime;

    /** 车辆离开时间 */
    @ApiModelProperty(value = "车辆离开时间", position = 15)
    private String truckOutTime;

    /** ******************************************  过磅补充    ****************************************** */

    /** 车牌颜色 */
    @ApiModelProperty(value = "车牌颜色", position = 10)
    private String plateColor;

    /** 车次编码：yyyymmdd**** */
    @ApiModelProperty(value = "车次编码：yyyymmdd****", position = 11)
    private String carNumber;

    /** 过毛时间 */
    @ApiModelProperty(value = "过毛时间", position = 12)
    private Date grossTime;

    /** 过皮时间 */
    @ApiModelProperty(value = "过皮时间", position = 13)
    private Date tareTime;

    /** 皮重类型 */
    @ApiModelProperty(value = "皮重类型", position = 14)
    private String tareType;

    /** 毛重(公斤) */
    @ApiModelProperty(value = "毛重(公斤)", position = 15)
    private BigDecimal grossWeight;

    /** 皮重(公斤) */
    @ApiModelProperty(value = "皮重(公斤)", position = 16)
    private BigDecimal tareWeight;

    /** 净重(公斤) */
    @ApiModelProperty(value = "净重(公斤)", position = 17)
    private BigDecimal netWeight;

    /** 单价(元/吨) */
    @ApiModelProperty(value = "单价(元/吨)", position = 18)
    private BigDecimal unitPrice;

    /** 总价(元) */
    @ApiModelProperty(value = "总价(元)", position = 18)
    private BigDecimal totalPrice;

    /** 过毛车牌图片 */
    @ApiModelProperty(value = "过毛车牌图片", position = 4)
    private String grossPlateName;

    /** 过毛车图片 */
    @ApiModelProperty(value = "过毛车图片", position = 5)
    private String grossLicenseName;

    /** 过毛车头相机抓拍 */
    @ApiModelProperty(value = "过毛车头相机抓拍", position = 6)
    private String grossCaptureHead;

    /** 过毛车尾相机抓拍 */
    @ApiModelProperty(value = "过毛车尾相机抓拍", position = 7)
    private String grossCaptureTail;

    /** 过毛车仓相机抓拍 */
    @ApiModelProperty(value = "过毛车仓相机抓拍", position = 8)
    private String grossCaptureWare;

    /** 过毛车身相机抓拍 */
    @ApiModelProperty(value = "过毛车身相机抓拍", position = 9)
    private String grossCaptureBody;

    /** 过毛磅房相机抓拍 */
    @ApiModelProperty(value = "过毛磅房相机抓拍", position = 10)
    private String grossCapturePoundRoom;

    /** 过皮车牌图片 */
    @ApiModelProperty(value = "过皮车牌图片", position = 11)
    private String tarePlateName;

    /** 过皮车图片 */
    @ApiModelProperty(value = "过皮车图片", position = 12)
    private String tareLicenseName;

    /** 过皮车头相机抓拍 */
    @ApiModelProperty(value = "过皮车头相机抓拍", position = 13)
    private String tareCaptureHead;

    /** 过皮车尾相机抓拍 */
    @ApiModelProperty(value = "过皮车尾相机抓拍", position = 14)
    private String tareCaptureTail;

    /** 过皮车仓相机抓拍 */
    @ApiModelProperty(value = "过皮车仓相机抓拍", position = 15)
    private String tareCaptureWare;

    /** 过皮车身相机抓拍 */
    @ApiModelProperty(value = "过皮车身相机抓拍", position = 16)
    private String tareCaptureBody;

    /** 过皮磅房相机抓拍 */
    @ApiModelProperty(value = "过皮磅房相机抓拍", position = 17)
    private String tareCapturePoundRoom;

    /** ******************************************  卸货补充    ****************************************** */

    /** 校验超时限定时间 */
    @ApiModelProperty(value = "校验超时限定时间", position = 14)
    private String limitInTime;

    public TruckBookFlowParam() {
    }

}
