/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizarea.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizarea.entity.BizArea;
import vip.xiaonuo.biz.modular.bizarea.param.BizAreaAddParam;
import vip.xiaonuo.biz.modular.bizarea.param.BizAreaEditParam;
import vip.xiaonuo.biz.modular.bizarea.param.BizAreaIdParam;
import vip.xiaonuo.biz.modular.bizarea.param.BizAreaPageParam;

import java.util.List;

/**
 * 区域信息Service接口
 *
 * @author fanzherong
 * @date  2025/02/17 08:54
 **/
public interface BizAreaService extends IService<BizArea> {

    /**
     * 获取区域信息分页
     *
     * @author fanzherong
     * @date  2025/02/17 08:54
     */
    Page<BizArea> page(BizAreaPageParam bizAreaPageParam);

    /**
     * 添加区域信息
     *
     * @author fanzherong
     * @date  2025/02/17 08:54
     */
    void add(BizAreaAddParam bizAreaAddParam);

    /**
     * 编辑区域信息
     *
     * @author fanzherong
     * @date  2025/02/17 08:54
     */
    void edit(BizAreaEditParam bizAreaEditParam);

    /**
     * 删除区域信息
     *
     * @author fanzherong
     * @date  2025/02/17 08:54
     */
    void delete(List<BizAreaIdParam> bizAreaIdParamList);

    /**
     * 获取区域信息详情
     *
     * @author fanzherong
     * @date  2025/02/17 08:54
     */
    BizArea detail(BizAreaIdParam bizAreaIdParam);

    /**
     * 获取区域信息详情
     *
     * @author fanzherong
     * @date  2025/02/17 08:54
     **/
    BizArea queryEntity(String id);

    /**
     * 获取区域列表
     */
    List<BizArea> areaList();

    List<BizArea> areaListByUser();
}
