package vip.xiaonuo.biz.modular.bizinventory.param;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.alibaba.excel.enums.poi.FillPatternTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class BizInventoryExport {


    /** 车牌号码 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"出入库报表", "车牌号码"})
    private String licenseNumber;

    /** 司机姓名 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"出入库报表", "司机姓名"})
    private String driverName;

    /** 手机号 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"出入库报表", "手机号"})
    private String driverPhone;

    /** 证件号 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"出入库报表", "证件号"})
    private String idNumber;

    /** 车辆毛重 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"出入库报表", "车辆毛重（吨）"})
    private BigDecimal grossWeight;

    /** 车辆皮重 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"出入库报表", "车辆皮重（吨）"})
    private BigDecimal tareWeight;

    /** 出入库类型 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"出入库报表", "出入库类型"})
    private String inventoryType;

    /** 品名 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"出入库报表", "品名"})
    private String productName;

    /** 包数量 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"出入库报表", "包数量"})
    private BigDecimal inventoryWeight;

    /** 出入库时间 */
    @HeadStyle(fillPatternType = FillPatternTypeEnum.SOLID_FOREGROUND, fillForegroundColor = 120)
    @ExcelProperty({"出入库报表", "出入库时间"})
    private Date inventoryTime;

}
