/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizuservideo.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizuservideo.entity.BizUserVideo;
import vip.xiaonuo.biz.modular.bizuservideo.param.BizUserVideoAddParam;
import vip.xiaonuo.biz.modular.bizuservideo.param.BizUserVideoEditParam;
import vip.xiaonuo.biz.modular.bizuservideo.param.BizUserVideoIdParam;
import vip.xiaonuo.biz.modular.bizuservideo.param.BizUserVideoPageParam;

import java.util.List;

/**
 * 用户视频关联表Service接口
 *
 * @author fanzherong
 * @date  2025/02/17 16:03
 **/
public interface BizUserVideoService extends IService<BizUserVideo> {

    /**
     * 获取用户视频关联表分页
     *
     * @author fanzherong
     * @date  2025/02/17 16:03
     */
    Page<BizUserVideo> page(BizUserVideoPageParam bizUserVideoPageParam);

    /**
     * 添加用户视频关联表
     *
     * @author fanzherong
     * @date  2025/02/17 16:03
     */
    void add(BizUserVideoAddParam bizUserVideoAddParam);

    /**
     * 编辑用户视频关联表
     *
     * @author fanzherong
     * @date  2025/02/17 16:03
     */
    void edit(BizUserVideoEditParam bizUserVideoEditParam);

    /**
     * 删除用户视频关联表
     *
     * @author fanzherong
     * @date  2025/02/17 16:03
     */
    void delete(List<BizUserVideoIdParam> bizUserVideoIdParamList);

    /**
     * 获取用户视频关联表详情
     *
     * @author fanzherong
     * @date  2025/02/17 16:03
     */
    BizUserVideo detail(BizUserVideoIdParam bizUserVideoIdParam);

    /**
     * 获取用户视频关联表详情
     *
     * @author fanzherong
     * @date  2025/02/17 16:03
     **/
    BizUserVideo queryEntity(String id);

    /**
     * 根据视频id查询用户列表
     */
    List<BizUserVideo> list(BizUserVideoPageParam bizUserVideoPageParam);
}
