/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizvideo.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.biz.modular.depotGrain.entity.BaseDepotGrainName;
import vip.xiaonuo.common.pojo.BaseEntity;
import vip.xiaonuo.common.pojo.CommonEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 视频配置实体
 *
 * @author fanzherong
 * @date  2025/02/17 10:05
 **/
@Getter
@Setter
@TableName("BIZ_VIDEO")
public class BizVideo extends CommonEntity {

    /** 主键ID */
    @TableId
    @ApiModelProperty(value = "主键ID", position = 1)
    private String id;

    /** 设备名称 */
    @ApiModelProperty(value = "设备名称", position = 2)
    private String videoName;

    /** 设备所在位置 */
    @ApiModelProperty(value = "设备所在位置", position = 3)
    private String videoArea;

    /** 设备序列号（萤石云） */
    @ApiModelProperty(value = "设备序列号（萤石云）", position = 4)
    private String serial;

    /** 视频监控通道号（萤石云） */
    @ApiModelProperty(value = "视频监控通道号（萤石云）", position = 5)
    private Integer channelNo;

    @TableField(exist = false)
    private String areaName;
}
