/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.bizvideo.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.bizvideo.entity.BizVideo;
import vip.xiaonuo.biz.modular.bizvideo.param.BizVideoAddParam;
import vip.xiaonuo.biz.modular.bizvideo.param.BizVideoEditParam;
import vip.xiaonuo.biz.modular.bizvideo.param.BizVideoIdParam;
import vip.xiaonuo.biz.modular.bizvideo.param.BizVideoPageParam;

import java.util.List;
import java.util.Map;

/**
 * 视频配置Service接口
 *
 * @author fanzherong
 * @date  2025/02/17 10:05
 **/
public interface BizVideoService extends IService<BizVideo> {

    /**
     * 获取视频配置分页
     *
     * @author fanzherong
     * @date  2025/02/17 10:05
     */
    Page<BizVideo> page(BizVideoPageParam bizVideoPageParam);

    Page<BizVideo> queryVideo(BizVideoPageParam bizVideoPageParam);

    /**
     * 添加视频配置
     *
     * @author fanzherong
     * @date  2025/02/17 10:05
     */
    void add(BizVideoAddParam bizVideoAddParam);

    /**
     * 编辑视频配置
     *
     * @author fanzherong
     * @date  2025/02/17 10:05
     */
    void edit(BizVideoEditParam bizVideoEditParam);

    /**
     * 删除视频配置
     *
     * @author fanzherong
     * @date  2025/02/17 10:05
     */
    void delete(List<BizVideoIdParam> bizVideoIdParamList);

    /**
     * 获取视频配置详情
     *
     * @author fanzherong
     * @date  2025/02/17 10:05
     */
    BizVideo detail(BizVideoIdParam bizVideoIdParam);

    /**
     * 获取视频配置详情
     *
     * @author fanzherong
     * @date  2025/02/17 10:05
     **/
    BizVideo queryEntity(String id);

    /**
     * 获取appKey
     */
    Map<String,Object> getAppkey();

    /**
     * 获取视频播放地址
     */
    Map<String,Object> getVideoUrl(BizVideoIdParam bizVideoIdParam);
}
