/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotAccessRecord.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 进出场记录表编辑参数
 *
 * @author xiang
 * @date  2023/10/23 16:28
 **/
@Getter
@Setter
public class DepotAccessRecordEditParam {

    /** ID */
    @ApiModelProperty(value = "ID", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码", position = 2)
    private String depotId;

    /** 车牌号码 */
    @ApiModelProperty(value = "车牌号码", position = 3)
    private String licensePlate;

    /** 车牌颜色 */
    @ApiModelProperty(value = "车牌颜色", position = 4)
    private String licensePlateColor;

    /** 进厂时间 */
    @ApiModelProperty(value = "进厂时间", position = 5)
    private String inTime;

    /** 出厂时间 */
    @ApiModelProperty(value = "出厂时间", position = 6)
    private String outTime;

    /** 入厂车牌图片 */
    @ApiModelProperty(value = "入厂车牌图片", position = 7)
    private String licensePlateInPicture;

    /** 入厂车图片 */
    @ApiModelProperty(value = "入厂车图片", position = 8)
    private String carInPicture;

    /** 出厂车牌图片 */
    @ApiModelProperty(value = "出厂车牌图片", position = 9)
    private String licensePlateOutPicture;

    /** 出厂车图片 */
    @ApiModelProperty(value = "出厂车图片", position = 10)
    private String carOutPicture;

    /** 是否入厂 */
    @ApiModelProperty(value = "是否入厂", position = 11)
    private String enterFactory;

    /** 是否出厂 */
    @ApiModelProperty(value = "是否出厂", position = 12)
    private String outFactory;

    /** 进厂抓拍图片 */
    @ApiModelProperty(value = "进厂抓拍图片", position = 13)
    private String captureInPicture;

    /** 出厂抓拍图片 */
    @ApiModelProperty(value = "出厂抓拍图片", position = 14)
    private String captureOutPicture;

    /** 车辆类型 */
    @ApiModelProperty(value = "车辆类型", position = 15)
    private String vehicleType;

    /** 停留时长 */
    @ApiModelProperty(value = "停留时长", position = 16)
    private String durationStay;

    /** 车进厂车尾相机抓拍 */
    @ApiModelProperty(value = "车进厂车尾相机抓拍", position = 17)
    private String captureInTailPicture;

    /** 车进厂车仓相机抓拍 */
    @ApiModelProperty(value = "车进厂车仓相机抓拍", position = 18)
    private String captureInWarePicture;

    /** 车进厂车身相机抓拍 */
    @ApiModelProperty(value = "车进厂车身相机抓拍", position = 19)
    private String captureInBodyPicture;

    /** 车进厂磅房相机抓拍 */
    @ApiModelProperty(value = "车进厂磅房相机抓拍", position = 20)
    private String captureInPoundRoomPicture;

    /** 车出厂车尾相机抓拍 */
    @ApiModelProperty(value = "车出厂车尾相机抓拍", position = 21)
    private String captureOutTailPicture;

    /** 车出厂车仓相机抓拍 */
    @ApiModelProperty(value = "车出厂车仓相机抓拍", position = 22)
    private String captureOutWarePicture;

    /** 车出厂车身相机抓拍 */
    @ApiModelProperty(value = "车出厂车身相机抓拍", position = 23)
    private String captureOutBodyPicture;

    /** 车出厂磅房相机抓拍 */
    @ApiModelProperty(value = "车出厂磅房相机抓拍", position = 24)
    private String captureOutPoundRoomPicture;

    /** 绑定状态 */
    @ApiModelProperty(value = "绑定状态", position = 25)
    private String bindStatus;

}
