/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotDevice.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 设备列表添加参数
 *
 * @author xiang
 * @date  2023/09/19 10:12
 **/
@Getter
@Setter
public class DepotDeviceAddParam {

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码", position = 2)
    private String depotId;

    /** 地磅类型 */
    @ApiModelProperty(value = "地磅类型", position = 3)
    private String weighbridgeType;

    /** 设备组 */
    @ApiModelProperty(value = "设备组", position = 4)
    private String deviceGroup;

    /** 设备类型 */
    @ApiModelProperty(value = "设备类型", position = 5)
    private String deviceType;

    /** 设备名称 */
    @ApiModelProperty(value = "设备名称", position = 6)
    private String deviceName;

    /** 设备编号 */
    @ApiModelProperty(value = "设备编号", position = 7)
    private String deviceTax;

    /** 通信ip */
    @ApiModelProperty(value = "通信ip", position = 8)
    private String communicationIp;

    /** 设备IP */
    @ApiModelProperty(value = "设备IP", position = 9)
    private String deviceIp;

    /** 设备端口 */
    @ApiModelProperty(value = "设备端口", position = 10)
    private String devicePort;

    /** 主版类型 */
    @ApiModelProperty(value = "主版类型", position = 11)
    private String mainBoardType;

    /** 进道信号灯 */
    @ApiModelProperty(value = "进道信号灯", position = 12)
    private String entryLift;

    /** 进道闸落 */
    @ApiModelProperty(value = "进道闸落", position = 13)
    private String entryFall;

    /** 出道信号灯 */
    @ApiModelProperty(value = "出道信号灯", position = 14)
    private String exitLift;

    /** 出道闸落 */
    @ApiModelProperty(value = "出道闸落", position = 15)
    private String exitFall;

    /** 设备地址上报 */
    @ApiModelProperty(value = "设备地址上报", position = 16)
    private String remoteaddress;

    /** 心跳上报地址 */
    @ApiModelProperty(value = "心跳上报地址", position = 17)
    private String hearttime;

    /** 在线状态 */
    @ApiModelProperty(value = "在线状态", position = 18)
    private String onlineState;

    /** 在线状态上报时间 */
    @ApiModelProperty(value = "在线状态上报时间", position = 19)
    private String onlineTime;

    /** 仪表类型 */
    @ApiModelProperty(value = "仪表类型", position = 20)
    private String meterType;

    /** 设备调试内容 */
    @ApiModelProperty(value = "设备调试内容", position = 21)
    private String content;

}
