/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotDeviceWarn.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.biz.core.Const.BizStr;

/**
 * 离线报警添加参数
 *
 * @author xiang
 * @date  2023/09/19 13:59
 **/
@Getter
@Setter
public class DepotDeviceWarnAddParam {

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码", position = 2)
    private String depotId;

    /** 设备id */
    @ApiModelProperty(value = "设备id", position = 3)
    private String deviceId;

    /** 设备名称 */
    @ApiModelProperty(value = "设备名称", position = 4)
    private String deviceName;

    /** 设备编号 */
    @ApiModelProperty(value = "设备编号", position = 5)
    private String deviceTax;

    /** 在线时间 */
    @ApiModelProperty(value = "在线时间", position = 6)
    private String onlineTime;

    /** 异常信息 */
    @ApiModelProperty(value = "异常信息", position = 7)
    private String alarmMsg;

    /** 处理状态 */
    @ApiModelProperty(value = "处理状态", position = 8)
    private String saveState;

    public DepotDeviceWarnAddParam() {
    }

    //简单异常待处理
    public DepotDeviceWarnAddParam(String depotId, String deviceName, String deviceTax, String alarmMsg) {
        this.depotId = depotId;
        this.deviceName = deviceName;
        this.deviceTax = deviceTax;
        this.alarmMsg = alarmMsg;
        this.saveState = BizStr.STATE_PROCESS_N;
    }

    //异常待处理
    public DepotDeviceWarnAddParam(String depotId, String deviceId, String deviceName, String deviceTax, String onlineTime, String alarmMsg) {
        this.depotId = depotId;
        this.deviceId = deviceId;
        this.deviceName = deviceName;
        this.deviceTax = deviceTax;
        this.onlineTime = onlineTime;
        this.alarmMsg = alarmMsg;
        this.saveState = BizStr.STATE_PROCESS_N;
    }
}
