/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotGrain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.BaseEntity;

/**
 * 粮库表实体
 *
 * @author xiang
 * @date  2023/09/12 15:06
 **/
@Getter
@Setter
@TableName("DEPOT_GRAIN")
public class DepotGrain extends BaseEntity {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 粮库Id */
    @ApiModelProperty(value = "粮库Id", position = 2)
    private String depotId;

    /** 组织Id */
    @ApiModelProperty(value = "组织Id", position = 3)
    private String orgId;

    /** 粮库名称 */
    @ApiModelProperty(value = "粮库名称", position = 4)
    private String depotGrainName;

    /** 预约码 */
    @ApiModelProperty(value = "预约码", position = 5)
    private String qrCodePicUrl;

    /** 扦样区开关:开启/关闭 */
    @ApiModelProperty(value = "扦样区开关", position = 5)
    private String onSampling;

    /** 卸货区开关:开启/关闭 */
    @ApiModelProperty(value = "卸货区开关", position = 5)
    private String onLade;

    /** 在线状态:在线/离线 */
    @ApiModelProperty(value = "在线状态:在线/离线", position = 6)
    private String onlineState;

    /** 在线时间 */
    @ApiModelProperty(value = "在线时间", position = 7)
    private String onlineTime;

    /** 关联异常id */
    @ApiModelProperty(value = "关联异常id", position = 8)
    private String unionAlarmId;

    public DepotGrain() {
    }

    public DepotGrain(String depotId) {
        this.depotId = depotId;
    }
}
