/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotLoanOrder.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.biz.modular.depotGrain.entity.BaseDepotGrainName;

/**
 * 入库贷款实体
 *
 * @author xiang
 * @date  2023/09/18 15:34
 **/
@Getter
@Setter
@TableName("DEPOT_LOAN_ORDER")
public class DepotLoanOrder extends BaseDepotGrainName {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码", position = 2)
    private String depotId;

    /** 车辆预约ID */
    @ApiModelProperty(value = "车辆预约ID", position = 3)
    private String truckBookId;

    /** 出入库ID */
    @ApiModelProperty(value = "出入库ID", position = 4)
    private String depotWorkId;

    /** 放款状态 */
    @ApiModelProperty(value = "放款状态", position = 5)
    private String loanState;

    /** 新增入库数量（吨） */
    @ApiModelProperty(value = "新增入库数量（吨）", position = 6)
    private String tonAddCount;

    /** 新增入库车数（辆） */
    @ApiModelProperty(value = "新增入库车数（辆）", position = 7)
    private String truckAddCount;

}
