/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotMapPage.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 订单额统计
 *
 * @author xiang
 * @date  2023/09/20 09:09
 **/
@Getter
@Setter
public class OrderSumVo {

    /** 贷款金额(元) */
    @ApiModelProperty(value = "贷款金额(元)", position = 9)
    private BigDecimal loanSum;

    /** 质押库存数(万吨) */
    @ApiModelProperty(value = "质押库存数(万吨)", position = 10)
    private BigDecimal mortgageCount;

    /** 累计利息(元) */
    @ApiModelProperty(value = "累计利息(元)", position = 11)
    private BigDecimal loanInterest = BigDecimal.ZERO;

    /** 累计贷款金额(元) */
    @ApiModelProperty(value = "累计贷款金额", position = 21)
    private BigDecimal loanSumTotal;

    /** 累计还款金额(元) */
    @ApiModelProperty(value = "累计还款金额", position = 22)
    private BigDecimal repaySumTotal;

    /** 累计质押库存数(万吨) */
    @ApiModelProperty(value = "累计质押库存数(万吨)", position = 23)
    private BigDecimal mortgageCountTotal;

}
