/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotTruckBook.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.List;

/**
 * 车辆预约表查询参数
 *
 * @author xiang
 * @date  2023/09/13 09:21
 **/
@Getter
@Setter
public class DepotTruckBookPageParam {

    /** 当前页 */
    @ApiModelProperty(value = "当前页码")
    private Integer current;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数")
    private Integer size;

    /** 排序字段 */
    @ApiModelProperty(value = "排序字段，字段驼峰名称，如：userName")
    private String sortField;

    /** 排序方式 */
    @ApiModelProperty(value = "排序方式，升序：ASCEND；降序：DESCEND")
    private String sortOrder;

    /** 关键词 */
    @ApiModelProperty(value = "关键词")
    private String searchKey;

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码")
    private String depotId;
    private List<String> depotIdLst = new ArrayList<>();

    /** 车辆预约ID */
    @ApiModelProperty(value = "车辆预约ID")
    private String truckBookId;
    private List<String> truckBookIdLst;

    /** 还款单号 */
    @ApiModelProperty(value = "还款单号")
    private String repayOrderNo;

    /** 出入库:入库/出库 */
    @ApiModelProperty(value = "出入库:入库/出库")
    private String depotBizType;

    /** 车牌 */
    @ApiModelProperty(value = "车牌")
    private String licensePlate;

    /** 司机姓名 */
    @ApiModelProperty(value = "司机姓名")
    private String driverName;

    /** 司机手机号 */
    @ApiModelProperty(value = "司机手机号")
    private String driverMobile;

    /** 司机行驶证 */
    @ApiModelProperty(value = "司机行驶证")
    private String driverTravel;

    /** 司机驾驶证 */
    @ApiModelProperty(value = "司机驾驶证")
    private String driverLicense;

    /** 经办人身份证号 */
    @ApiModelProperty(value = "经办人身份证号")
    private String keeperCitizenId;

    /** 企业单位 */
    @ApiModelProperty(value = "企业单位")
    private String companyName;

    /** 企业单位联系人 */
    @ApiModelProperty(value = "企业单位联系人")
    private String companySalesmanName;

    /** 企业单位联系人电话 */
    @ApiModelProperty(value = "企业单位联系人电话")
    private String companySalesmanMobile;

    /** 粮食种类 */
    @ApiModelProperty(value = "粮食种类")
    private String grainGroup;

    /** 粮食类型 */
    @ApiModelProperty(value = "粮食类型")
    private String grainType;

    /** 收款人 */
    @ApiModelProperty(value = "收款人")
    private String payeeName;

    /** 收款人手机号 */
    @ApiModelProperty(value = "收款人手机号")
    private String payeeMobile;

    /** 收款人开户行 */
    @ApiModelProperty(value = "收款人开户行")
    private String payeeBank;

    /** 收款人开户行账户 */
    @ApiModelProperty(value = "收款人开户行账户")
    private String payeeBankBillNo;

    /** 预约状态:正常预约/已结束/超时作废 */
    @ApiModelProperty(value = "预约状态:正常预约/已结束/超时作废")
    private String bookState;

    /** 粮库管理员审批状态:待审批/已审批/未通过 */
    @ApiModelProperty(value = "预约状态:待审批/已审批/未通过")
    private String depotOpApprovalState;

    /** 流程节点 */
    @ApiModelProperty(value = "流程节点")
    private String bizFlowName;
    private List<String> bizFlowNameLst;
    private boolean bizFlowNameNullFlag = false;

    /** 通行状态:禁止通行/允许通行/驳回离场 */
    @ApiModelProperty(value = "通行状态:禁止通行/允许通行/驳回离场")
    private String bizFlowState;

    /** 创建时间开始 */
    @ApiModelProperty(value = "创建时间开始")
    private String startCreateTime;

    /** 创建时间结束 */
    @ApiModelProperty(value = "创建时间结束")
    private String endCreateTime;

    public boolean getBizFlowNameNullFlag() {
        return bizFlowNameNullFlag;
    }
}
