/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotTruckPlateList.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.util.Date;

/**
 * 车牌名单实体
 *
 * @author xiang
 * @date  2024/03/24 14:59
 **/
@Getter
@Setter
@TableName("DEPOT_TRUCK_PLATE_LIST")
public class DepotTruckPlateList {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码", position = 2)
    private String depotId;

    /** 粮库名称 */
    @TableField(exist = false)
    private String depotGrainName;

    /** 名单类型:白/黑 */
    @ApiModelProperty(value = "名单类型:白/黑", position = 3)
    private String listType;

    /** 车牌号 */
    @ApiModelProperty(value = "车牌号", position = 4)
    private String plateValue;

    /** 删除标志:0-未删除;1-已删除 */
    @ApiModelProperty(value = "删除标志:0-未删除;1-已删除", position = 5)
    @TableLogic(value = "0", delval = "1")
    private String delFlag;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 6)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 7)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    public DepotTruckPlateList() {
    }

    public DepotTruckPlateList(String depotId) {
        this.depotId = depotId;
    }

    public DepotTruckPlateList(String depotId, String plateValue) {
        this.depotId = depotId;
        this.plateValue = plateValue;
    }

    public DepotTruckPlateList(String depotId, String listType, String plateValue) {
        this.depotId = depotId;
        this.listType = listType;
        this.plateValue = plateValue;
    }

}
