/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotTruckWeighDouble.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 双次过磅记录表实体 + 图片
 *
 * @author xiang
 * @date  2023/10/08 17:05
 **/
@Getter
@Setter
public class DepotTruckWeighDoubleDetail extends DepotTruckWeighDouble {

    /** 过毛车牌图片 */
    @ApiModelProperty(value = "过毛车牌图片", position = 4)
    private String grossPlateName;

    /** 过毛车图片 */
    @ApiModelProperty(value = "过毛车图片", position = 5)
    private String grossLicenseName;

    /** 过毛车头相机抓拍 */
    @ApiModelProperty(value = "过毛车头相机抓拍", position = 6)
    private String grossCaptureHead;

    /** 过毛车尾相机抓拍 */
    @ApiModelProperty(value = "过毛车尾相机抓拍", position = 7)
    private String grossCaptureTail;

    /** 过毛车仓相机抓拍 */
    @ApiModelProperty(value = "过毛车仓相机抓拍", position = 8)
    private String grossCaptureWare;

    /** 过毛车身相机抓拍 */
    @ApiModelProperty(value = "过毛车身相机抓拍", position = 9)
    private String grossCaptureBody;

    /** 过毛磅房相机抓拍 */
    @ApiModelProperty(value = "过毛磅房相机抓拍", position = 10)
    private String grossCapturePoundRoom;

    /** 过皮车牌图片 */
    @ApiModelProperty(value = "过皮车牌图片", position = 11)
    private String tarePlateName;

    /** 过皮车图片 */
    @ApiModelProperty(value = "过皮车图片", position = 12)
    private String tareLicenseName;

    /** 过皮车头相机抓拍 */
    @ApiModelProperty(value = "过皮车头相机抓拍", position = 13)
    private String tareCaptureHead;

    /** 过皮车尾相机抓拍 */
    @ApiModelProperty(value = "过皮车尾相机抓拍", position = 14)
    private String tareCaptureTail;

    /** 过皮车仓相机抓拍 */
    @ApiModelProperty(value = "过皮车仓相机抓拍", position = 15)
    private String tareCaptureWare;

    /** 过皮车身相机抓拍 */
    @ApiModelProperty(value = "过皮车身相机抓拍", position = 16)
    private String tareCaptureBody;

    /** 过皮磅房相机抓拍 */
    @ApiModelProperty(value = "过皮磅房相机抓拍", position = 17)
    private String tareCapturePoundRoom;

}
