/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotTruckWeighDouble.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 双次过磅记录表添加参数
 *
 * @author xiang
 * @date  2023/10/08 17:05
 **/
@Getter
@Setter
public class DepotTruckWeighDoubleAddParam {

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码", position = 2)
    private String depotId;

    /** 预约ID */
    @ApiModelProperty(value = "预约ID", position = 3)
    private String truckBookId;

    /** 出入库:入库/出库 */
    @ApiModelProperty(value = "出入库:入库/出库", position = 4)
    private String depotBizType;

    /** 粮食种类 */
    @ApiModelProperty(value = "粮食种类", position = 5)
    private String grainGroup;

    /** 粮食类型 */
    @ApiModelProperty(value = "粮食类型", position = 6)
    private String grainType;

    /** 单据分类:系统自动/人工补单 */
    @ApiModelProperty(value = "单据分类:系统自动/人工补单", position = 6)
    private String billGroup;

    /** 车牌号码 */
    @ApiModelProperty(value = "车牌号码", position = 9)
    private String licensePlate;

    /** 司机姓名 */
    @ApiModelProperty(value = "司机姓名", position = 9)
    private String driverName;

    /** 司机电话 */
    @ApiModelProperty(value = "司机电话", position = 9)
    private String driverMobile;

    /** 车牌颜色 */
    @ApiModelProperty(value = "车牌颜色", position = 10)
    private String plateColor;

    /** 车次编码：yyyymmdd**** */
    @ApiModelProperty(value = "车次编码：yyyymmdd****", position = 11)
    private String carNumber;

    /** 过毛时间 */
    @ApiModelProperty(value = "过毛时间", position = 12)
    private Date grossTime;

    /** 过皮时间 */
    @ApiModelProperty(value = "过皮时间", position = 13)
    private Date tareTime;

    /** 皮重类型 */
    @ApiModelProperty(value = "皮重类型", position = 14)
    private String tareType;

    /** 毛重(公斤) */
    @ApiModelProperty(value = "毛重(公斤)", position = 15)
    private BigDecimal grossWeight;

    /** 皮重(公斤) */
    @ApiModelProperty(value = "皮重(公斤)", position = 16)
    private BigDecimal tareWeight;

    /** 净重(公斤) */
    @ApiModelProperty(value = "净重(公斤)", position = 17)
    private BigDecimal netWeight;

    /** 单价(元/吨) */
    @ApiModelProperty(value = "单价(元/吨)", position = 18)
    private BigDecimal unitPrice;

    /** 总价(元) */
    @ApiModelProperty(value = "总价(元)", position = 18)
    private BigDecimal totalPrice;

    /** 过毛车牌图片 */
    @ApiModelProperty(value = "过毛车牌图片", position = 4)
    private String grossPlateName;

    /** 过毛车图片 */
    @ApiModelProperty(value = "过毛车图片", position = 5)
    private String grossLicenseName;

    /** 过毛车头相机抓拍 */
    @ApiModelProperty(value = "过毛车头相机抓拍", position = 6)
    private String grossCaptureHead;

    /** 过毛车尾相机抓拍 */
    @ApiModelProperty(value = "过毛车尾相机抓拍", position = 7)
    private String grossCaptureTail;

    /** 过毛车仓相机抓拍 */
    @ApiModelProperty(value = "过毛车仓相机抓拍", position = 8)
    private String grossCaptureWare;

    /** 过毛车身相机抓拍 */
    @ApiModelProperty(value = "过毛车身相机抓拍", position = 9)
    private String grossCaptureBody;

    /** 过毛磅房相机抓拍 */
    @ApiModelProperty(value = "过毛磅房相机抓拍", position = 10)
    private String grossCapturePoundRoom;

    /** 过皮车牌图片 */
    @ApiModelProperty(value = "过皮车牌图片", position = 11)
    private String tarePlateName;

    /** 过皮车图片 */
    @ApiModelProperty(value = "过皮车图片", position = 12)
    private String tareLicenseName;

    /** 过皮车头相机抓拍 */
    @ApiModelProperty(value = "过皮车头相机抓拍", position = 13)
    private String tareCaptureHead;

    /** 过皮车尾相机抓拍 */
    @ApiModelProperty(value = "过皮车尾相机抓拍", position = 14)
    private String tareCaptureTail;

    /** 过皮车仓相机抓拍 */
    @ApiModelProperty(value = "过皮车仓相机抓拍", position = 15)
    private String tareCaptureWare;

    /** 过皮车身相机抓拍 */
    @ApiModelProperty(value = "过皮车身相机抓拍", position = 16)
    private String tareCaptureBody;

    /** 过皮磅房相机抓拍 */
    @ApiModelProperty(value = "过皮磅房相机抓拍", position = 17)
    private String tareCapturePoundRoom;

}
