/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotTruckWeighDouble.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 双次过磅记录表查询参数
 *
 * @author xiang
 * @date  2023/10/08 17:05
 **/
@Getter
@Setter
public class DepotTruckWeighDoublePageParam {

    /** 当前页 */
    @ApiModelProperty(value = "当前页码")
    private Integer current;

    /** 每页条数 */
    @ApiModelProperty(value = "每页条数")
    private Integer size;

    /** 排序字段 */
    @ApiModelProperty(value = "排序字段，字段驼峰名称，如：userName")
    private String sortField;

    /** 排序方式 */
    @ApiModelProperty(value = "排序方式，升序：ASCEND；降序：DESCEND")
    private String sortOrder;

    /** 关键词 */
    @ApiModelProperty(value = "关键词")
    private String searchKey;

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码")
    private String depotId;

    /** 车辆预约ID */
    @ApiModelProperty(value = "车辆预约ID")
    private String truckBookId;

    /** 出入库:入库/出库 */
    @ApiModelProperty(value = "出入库:入库/出库")
    private String depotBizType;

    /** 粮食种类 */
    @ApiModelProperty(value = "粮食种类")
    private String grainGroup;

    /** 单据分类:系统自动/人工补单 */
    @ApiModelProperty(value = "单据分类:系统自动/人工补单")
    private String billGroup;

    /** 车牌号码 */
    @ApiModelProperty(value = "车牌号码")
    private String licensePlate;

    /** 司机姓名 */
    @ApiModelProperty(value = "司机姓名")
    private String driverName;

    /** 司机电话 */
    @ApiModelProperty(value = "司机电话")
    private String driverMobile;

    /** 车牌颜色 */
    @ApiModelProperty(value = "车牌颜色")
    private String plateColor;

    /** 车次编码：yyyymmdd**** */
    @ApiModelProperty(value = "车次编码：yyyymmdd****")
    private String carNumber;

}
