/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotTruckWeighDoublePic.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.biz.modular.depotGrain.entity.BaseDepotGrainName;

/**
 * 过磅记录图片表实体
 *
 * @author xiang
 * @date  2023/10/10 17:32
 **/
@Getter
@Setter
@TableName("DEPOT_TRUCK_WEIGH_DOUBLE_PIC")
public class DepotTruckWeighDoublePic extends BaseDepotGrainName {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码", position = 2)
    private String depotId;

    /** 车辆预约ID */
    @ApiModelProperty(value = "车辆预约ID", position = 3)
    private String truckBookId;

    /** 过磅ID */
    @ApiModelProperty(value = "过磅ID", position = 3)
    private String weighId;

    /** 过毛车牌图片 */
    @ApiModelProperty(value = "过毛车牌图片", position = 4)
    private String grossPlateName;

    /** 过毛车图片 */
    @ApiModelProperty(value = "过毛车图片", position = 5)
    private String grossLicenseName;

    /** 过毛车头相机抓拍 */
    @ApiModelProperty(value = "过毛车头相机抓拍", position = 6)
    private String grossCaptureHead;

    /** 过毛车尾相机抓拍 */
    @ApiModelProperty(value = "过毛车尾相机抓拍", position = 7)
    private String grossCaptureTail;

    /** 过毛车仓相机抓拍 */
    @ApiModelProperty(value = "过毛车仓相机抓拍", position = 8)
    private String grossCaptureWare;

    /** 过毛车身相机抓拍 */
    @ApiModelProperty(value = "过毛车身相机抓拍", position = 9)
    private String grossCaptureBody;

    /** 过毛磅房相机抓拍 */
    @ApiModelProperty(value = "过毛磅房相机抓拍", position = 10)
    private String grossCapturePoundRoom;

    /** 过皮车牌图片 */
    @ApiModelProperty(value = "过皮车牌图片", position = 11)
    private String tarePlateName;

    /** 过皮车图片 */
    @ApiModelProperty(value = "过皮车图片", position = 12)
    private String tareLicenseName;

    /** 过皮车头相机抓拍 */
    @ApiModelProperty(value = "过皮车头相机抓拍", position = 13)
    private String tareCaptureHead;

    /** 过皮车尾相机抓拍 */
    @ApiModelProperty(value = "过皮车尾相机抓拍", position = 14)
    private String tareCaptureTail;

    /** 过皮车仓相机抓拍 */
    @ApiModelProperty(value = "过皮车仓相机抓拍", position = 15)
    private String tareCaptureWare;

    /** 过皮车身相机抓拍 */
    @ApiModelProperty(value = "过皮车身相机抓拍", position = 16)
    private String tareCaptureBody;

    /** 过皮磅房相机抓拍 */
    @ApiModelProperty(value = "过皮磅房相机抓拍", position = 17)
    private String tareCapturePoundRoom;

    /** 高拍仪图片 */
    @ApiModelProperty(value = "高拍仪图片", position = 18)
    private String metronome;

    /** 云端识别图片推送状态（字典 1：未上传、2：已上传） */
    @ApiModelProperty(value = "云端识别图片推送状态（字典 1：未上传、2：已上传）", position = 19)
    private Boolean cloudGrossCameraFlag;

    /** 云端过毛车牌图片 */
    @ApiModelProperty(value = "云端过毛车牌图片", position = 20)
    private String cloudGrossPlateName;

    /** 云端过毛车图片 */
    @ApiModelProperty(value = "云端过毛车图片", position = 21)
    private String cloudGrossLicenseName;

    /** 云端抓拍图片推送状态（字典 1：未上传、2：已上传） */
    @ApiModelProperty(value = "云端抓拍图片推送状态（字典 1：未上传、2：已上传）", position = 22)
    private Boolean cloudGrossCaptureFlag;

    /** 云端过毛车头相机抓拍 */
    @ApiModelProperty(value = "云端过毛车头相机抓拍", position = 23)
    private String cloudGrossCaptureHead;

    /** 云端过毛车尾相机抓拍 */
    @ApiModelProperty(value = "云端过毛车尾相机抓拍", position = 24)
    private String cloudGrossCaptureTail;

    /** 云端过毛车仓相机抓拍 */
    @ApiModelProperty(value = "云端过毛车仓相机抓拍", position = 25)
    private String cloudGrossCaptureWare;

    /** 云端过毛车身相机抓拍 */
    @ApiModelProperty(value = "云端过毛车身相机抓拍", position = 26)
    private String cloudGrossCaptureBody;

    /** 云端过毛磅房相机抓拍 */
    @ApiModelProperty(value = "云端过毛磅房相机抓拍", position = 27)
    private String cloudGrossCapturePoundRoom;

    /** 云端识别图片推送状态（字典 1：未上传、2：已上传） */
    @ApiModelProperty(value = "云端识别图片推送状态（字典 1：未上传、2：已上传）", position = 28)
    private Boolean cloudTareCameraFlag;

    /** 云端过皮车牌图片 */
    @ApiModelProperty(value = "云端过皮车牌图片", position = 29)
    private String cloudTarePlateName;

    /** 云端过皮车图片 */
    @ApiModelProperty(value = "云端过皮车图片", position = 30)
    private String cloudTareLicenseName;

    /** 云端抓拍图片推送状态（字典 1：未上传、2：已上传） */
    @ApiModelProperty(value = "云端抓拍图片推送状态（字典 1：未上传、2：已上传）", position = 31)
    private Boolean cloudTareCaptureFlag;

    /** 云端过皮车头相机抓拍 */
    @ApiModelProperty(value = "云端过皮车头相机抓拍", position = 32)
    private String cloudTareCaptureHead;

    /** 云端过皮车尾相机抓拍 */
    @ApiModelProperty(value = "云端过皮车尾相机抓拍", position = 33)
    private String cloudTareCaptureTail;

    /** 云端过皮车仓相机抓拍 */
    @ApiModelProperty(value = "云端过皮车仓相机抓拍", position = 34)
    private String cloudTareCaptureWare;

    /** 云端过皮车身相机抓拍 */
    @ApiModelProperty(value = "云端过皮车身相机抓拍", position = 35)
    private String cloudTareCaptureBody;

    /** 云端过皮磅房相机抓拍 */
    @ApiModelProperty(value = "云端过皮磅房相机抓拍", position = 36)
    private String cloudTareCapturePoundRoom;

    /** 云端高拍仪图片推送状态（字典 1：未上传、2：已上传） */
    @ApiModelProperty(value = "云端高拍仪图片推送状态（字典 1：未上传、2：已上传）", position = 37)
    private Boolean cloudMetronomeFlag;

    /** 云端高拍仪图片 */
    @ApiModelProperty(value = "云端高拍仪图片", position = 38)
    private String cloudMetronome;

    public DepotTruckWeighDoublePic() {
    }

    public DepotTruckWeighDoublePic(String truckBookId, String weighId) {
        this.truckBookId = truckBookId;
        this.weighId = weighId;
    }
}
