/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.depotWork.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 出入库管理表编辑参数
 *
 * @author xiang
 * @date  2023/09/18 10:20
 **/
@Getter
@Setter
public class DepotWorkEditParam {

    /** ID */
    @ApiModelProperty(value = "ID", required = true, position = 1)
    @NotBlank(message = "id不能为空")
    private String id;

    /** 项目编码 */
    @ApiModelProperty(value = "项目编码", required = true, position = 2)
    @NotBlank(message = "depotId不能为空")
    private String depotId;

    /** 车辆预约ID */
    @ApiModelProperty(value = "车辆预约ID", position = 3)
    private String truckBookId;

    /** 放款单ID */
    @ApiModelProperty(value = "放款单ID", position = 3)
    private String loanGrantId;

    /** 放款状态:待放款/已放款/放款中 */
    @ApiModelProperty(value = "放款状态", position = 3)
    private String loanState;

    /** 出入库 */
    @ApiModelProperty(value = "出入库", required = true, position = 4)
    @NotBlank(message = "depotBizType不能为空")
    private String depotBizType;

    /** 负责人身份证号 */
    @ApiModelProperty(value = "负责人身份证号", position = 5)
    private String keeperCitizenId;

    /** 数量（吨） */
    @ApiModelProperty(value = "数量（吨）", position = 6)
    private String depotTonCount;

    /** 粮食种类 */
    @ApiModelProperty(value = "粮食种类", position = 6)
    private String grainGroup;

    /** 价格 */
    @ApiModelProperty(value = "价格", position = 7)
    private String depotPrice;

    /** 总价 */
    @ApiModelProperty(value = "总价", position = 8)
    private BigDecimal orderAmount;

    /** 质量 */
    @ApiModelProperty(value = "质量", position = 9)
    private String depotQuality;

    /** 车牌 */
    @ApiModelProperty(value = "车牌", position = 10)
    private String licensePlate;

}
