/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.job.task;

import org.springframework.stereotype.Component;
import vip.xiaonuo.biz.modular.depotGrainInfoWarn.service.DepotGrainInfoWarnService;
import vip.xiaonuo.biz.modular.depotTruckBook.service.DepotTruckBookService;
import vip.xiaonuo.common.timer.CommonTimerTaskRunner;
import vip.xiaonuo.common.util.DatesUtil;

import javax.annotation.Resource;

/**
 * 定时器的一个示例
 * 每天00:01分执行
 *
 * @author xuyuxiang
 * @date 2022/8/5 15:52
 **/
@Component
public class DevJobTimerTaskRunnerEveryDayStart implements CommonTimerTaskRunner {

    private int n = 1;

    @Resource
    DepotGrainInfoWarnService grainInfoWarnService;

    @Resource
    DepotTruckBookService depotTruckBookService;

    @Override
    public void action() {
        String dateTime = DatesUtil.forDateTime();
        System.out.println("每天00:01分执行，正在在被执行第" + n + "次，"
                + dateTime
                + "，贷款合同到期日预警/车辆预约过期作废");
        n = n + 1;
        //贷款合同到期日预警
        grainInfoWarnService.loanDateWarns();

        //车辆预约过期作废
        depotTruckBookService.bookStateOver(dateTime);
    }
}
