/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.sysUserWxOpenSendLog.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

/**
 * 用户微信推送消息表实体
 *
 * @author xiang
 * @date  2023/12/11 17:47
 **/
@Getter
@Setter
@TableName("SYS_USER_WX_OPEN_SEND_LOG")
public class SysUserWxOpenSendLog extends CommonEntity {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 用户id */
    @ApiModelProperty(value = "用户id", position = 2)
    private String userId;
    @TableField(exist = false)
    private String userName;

    /** 公众号OpenId */
    @ApiModelProperty(value = "公众号OpenId", position = 3)
    private String openId;

    /** 发送消息 */
    @ApiModelProperty(value = "发送消息", position = 4)
    private String sendMsg;

    /** 返回消息 */
    @ApiModelProperty(value = "返回消息", position = 5)
    private String backMsg;

    public SysUserWxOpenSendLog() {
    }

    public SysUserWxOpenSendLog(String userId, String openId) {
        this.userId = userId;
        this.openId = openId;
    }

}
