/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.sysUserWxOpenSendSet.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 用户微信推送内容订阅表实体
 *
 * @author xiang
 * @date  2023/12/13 09:05
 **/
@Getter
@Setter
@TableName("SYS_USER_WX_OPEN_SEND_SET")
public class SysUserWxOpenSendSet extends CommonEntity {

    /** ID */
    @TableId
    @ApiModelProperty(value = "ID", position = 1)
    private String id;

    /** 通知类型 */
    @ApiModelProperty(value = "通知类型", position = 2)
    private String logType;

    /** 通知角色 */
    @ApiModelProperty(value = "通知角色", position = 3)
    private String logRoles;

    /** 订阅事件:subscribe/unsubscribe */
    @ApiModelProperty(value = "订阅事件", position = 4)
    private String subscribesFlag;

    /** 通知角色名称 */
    @TableField(exist = false)
    @ApiModelProperty(value = "通知角色名称", position = 5)
    private List<String> logRoleNames = new ArrayList<>();

    public SysUserWxOpenSendSet() {
    }

    public SysUserWxOpenSendSet(String id, String logType) {
        this.id = id;
        this.logType = logType;
    }

    public SysUserWxOpenSendSet(String id, String logType, String subscribesFlag) {
        this.id = id;
        this.logType = logType;
        this.subscribesFlag = subscribesFlag;
    }

}
